Bug 1018568 - Review Request: librfm - Rodent file manager primary library functionality
Review Request: librfm - Rodent file manager primary library functionality
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mario Blättermann
Fedora Extras Quality Assurance
:
Depends On: 1016807
Blocks: 1016809
  Show dependency treegraph
 
Reported: 2013-10-13 08:02 EDT by Antonio Trande
Modified: 2014-05-16 08:23 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-16 08:23:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mario.blaettermann: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Antonio Trande 2013-10-13 08:02:05 EDT
Spec URL: http://sagitter.fedorapeople.org/librfm/librfm.spec
SRPM URL: http://sagitter.fedorapeople.org/librfm/librfm-5.1.3-1.fc19.src.rpm

Description: Basic library functionality for Rodent applications.

Fedora Account System Username: sagitter
Comment 1 Mario Blättermann 2013-10-13 13:11:14 EDT
Just a few initial comments:

## Remove static libs
find $RPM_BUILD_ROOT -name '*.la' -delete

This command deletes libtool archives, not static libs. This does the configure switch "--enable-static=no".

BuildRequires: tubo-devel
isn't available for Fedora yet and needs to be packaged first.

Requires:	glib2 >= 2.22.5
Requires:	gtk2 >= 2.18.9
Requires:	libxml2 >= 2.4.0
Requires:	cairo >= 1.8.8

Explicite requirements are not needed in this case. As long as you have the minimum versions in BuildRequires, it cannot happen that the resulting binary package gets lower dependencies. BTW, official Fedora packages don't have an "universal" approach. You don't have to make sure that anyone will be satisfied who fetches this package from anywhere. It is for a certain Fedora release, no more than that.

Moreover, you could shrink BuildRequires a bit. An explicite version of gtk is unneeded, because EPEL 6 ships gtk-2.14 which is insufficient. All currently supported Fedora versions have at least gtk-2.24. Gtk2 needs Glib2 anyway, so you can drop it completely. The same is for libxml2 (f18: 2.9.0), file (f18: 5.11) and so on. Keep the legibility of your spec file in mind. Requiring a minimum version doesn't make sense if all current Fedora versions have it anyway and the package can't be built in EPEL.

BuildRequires:	dbh-devel >= 5.0.6
Well, there's such a package in Fedora, but mostly v1.0.24. Only Rawhide has the required version, so it won't be possible to get it in Fedora <= 21 unless dbh-devel gets backported. This makes all of your minimum version requirements senseless.
Comment 2 Antonio Trande 2013-10-13 13:54:06 EDT
Hi Mario.

(In reply to Mario Blättermann from comment #1)
> Just a few initial comments:
> 
> ## Remove static libs
> find $RPM_BUILD_ROOT -name '*.la' -delete
> 
> This command deletes libtool archives, not static libs. This does the
> configure switch "--enable-static=no".

Okay.

> 
> BuildRequires: tubo-devel
> isn't available for Fedora yet and needs to be packaged first.

I'm aware of that.

> 
> Requires:	glib2 >= 2.22.5
> Requires:	gtk2 >= 2.18.9
> Requires:	libxml2 >= 2.4.0
> Requires:	cairo >= 1.8.8
> 
> Explicite requirements are not needed in this case. As long as you have the
> minimum versions in BuildRequires, it cannot happen that the resulting
> binary package gets lower dependencies. BTW, official Fedora packages don't
> have an "universal" approach. You don't have to make sure that anyone will
> be satisfied who fetches this package from anywhere. It is for a certain
> Fedora release, no more than that.
> 
> Moreover, you could shrink BuildRequires a bit. An explicite version of gtk
> is unneeded, because EPEL 6 ships gtk-2.14 which is insufficient. All
> currently supported Fedora versions have at least gtk-2.24. Gtk2 needs Glib2
> anyway, so you can drop it completely. The same is for libxml2 (f18: 2.9.0),
> file (f18: 5.11) and so on. Keep the legibility of your spec file in mind.
> Requiring a minimum version doesn't make sense if all current Fedora
> versions have it anyway and the package can't be built in EPEL.
> 

Thank you for this analysis.
In fact the list of BuildRequires and Requires packages is an heritage from upstream's spec file but that I have not studied as I should have had to do.

> BuildRequires:	dbh-devel >= 5.0.6
> Well, there's such a package in Fedora, but mostly v1.0.24. Only Rawhide has
> the required version, so it won't be possible to get it in Fedora <= 21
> unless dbh-devel gets backported. This makes all of your minimum version
> requirements senseless.

I like to bring forward these reviews in advance. :)

Spec URL: http://sagitter.fedorapeople.org/librfm/librfm.spec
SRPM URL: http://sagitter.fedorapeople.org/librfm/librfm-5.1.3-2.fc19.src.rpm
Comment 3 Mario Blättermann 2013-10-29 16:14:13 EDT
Taking this for a full review. Be patient, will need some days.
Comment 4 Mario Blättermann 2013-10-31 06:06:48 EDT
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=6118802

$ rpmlint -i -v *
librfm.src: I: checking
librfm.src: I: checking-url http://rodent.xffm.org/ (timeout 10 seconds)
librfm.src: W: strange-permission librfm-5.1.3.tar.bz2 0600L
A file that you listed to include in your package has strange permissions.
Usually, a file should have 0644 permissions.

librfm.src:15: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 15)
The specfile mixes use of spaces and tabs for indentation, which is a cosmetic
annoyance.  Use either spaces or tabs for indentation, not both.

librfm.src: W: invalid-url Source1: librfm-COPYING.tar.gz
The value should be a valid, public HTTP, HTTPS, or FTP URL.

librfm.src: I: checking-url http://sourceforge.net/projects/xffm/files/librfm/librfm-5.1.3.tar.bz2 (timeout 10 seconds)
librfm.armv7hl: I: checking
librfm.armv7hl: I: checking-url http://rodent.xffm.org/ (timeout 10 seconds)
librfm.armv7hl: E: no-ldconfig-symlink /usr/lib/librfm1.so.1.0.0
The package should not only include the shared library itself, but also the
symbolic link which ldconfig would produce. (This is necessary, so that the
link gets removed by rpm automatically when the package gets removed, even if
for some reason ldconfig would not be run at package postinstall phase.)

librfm.armv7hl: W: shared-lib-calls-exit /usr/lib/librfm1.so.1.0.0 exit@GLIBC_2.4
This library package calls exit() or _exit(), probably in a non-fork()
context. Doing so from a library is strongly discouraged - when a library
function calls exit(), it prevents the calling program from handling the
error, reporting it to the user, closing files properly, and cleaning up any
state that the program has. It is preferred for the library to return an
actual error code and let the calling program decide how to handle the
situation.

librfm.armv7hl: E: no-ldconfig-symlink /usr/lib/librodent1.so.1.0.0
The package should not only include the shared library itself, but also the
symbolic link which ldconfig would produce. (This is necessary, so that the
link gets removed by rpm automatically when the package gets removed, even if
for some reason ldconfig would not be run at package postinstall phase.)

librfm.i686: I: checking
librfm.i686: I: checking-url http://rodent.xffm.org/ (timeout 10 seconds)
librfm.i686: E: no-ldconfig-symlink /usr/lib/librfm1.so.1.0.0
The package should not only include the shared library itself, but also the
symbolic link which ldconfig would produce. (This is necessary, so that the
link gets removed by rpm automatically when the package gets removed, even if
for some reason ldconfig would not be run at package postinstall phase.)

librfm.i686: W: shared-lib-calls-exit /usr/lib/librfm1.so.1.0.0 exit@GLIBC_2.0
This library package calls exit() or _exit(), probably in a non-fork()
context. Doing so from a library is strongly discouraged - when a library
function calls exit(), it prevents the calling program from handling the
error, reporting it to the user, closing files properly, and cleaning up any
state that the program has. It is preferred for the library to return an
actual error code and let the calling program decide how to handle the
situation.

librfm.i686: E: no-ldconfig-symlink /usr/lib/librodent1.so.1.0.0
The package should not only include the shared library itself, but also the
symbolic link which ldconfig would produce. (This is necessary, so that the
link gets removed by rpm automatically when the package gets removed, even if
for some reason ldconfig would not be run at package postinstall phase.)

librfm.x86_64: I: checking
librfm.x86_64: I: checking-url http://rodent.xffm.org/ (timeout 10 seconds)
librfm.x86_64: E: no-ldconfig-symlink /usr/lib64/librodent1.so.1.0.0
The package should not only include the shared library itself, but also the
symbolic link which ldconfig would produce. (This is necessary, so that the
link gets removed by rpm automatically when the package gets removed, even if
for some reason ldconfig would not be run at package postinstall phase.)

librfm.x86_64: E: no-ldconfig-symlink /usr/lib64/librfm1.so.1.0.0
The package should not only include the shared library itself, but also the
symbolic link which ldconfig would produce. (This is necessary, so that the
link gets removed by rpm automatically when the package gets removed, even if
for some reason ldconfig would not be run at package postinstall phase.)

librfm.x86_64: W: shared-lib-calls-exit /usr/lib64/librfm1.so.1.0.0 exit@GLIBC_2.2.5
This library package calls exit() or _exit(), probably in a non-fork()
context. Doing so from a library is strongly discouraged - when a library
function calls exit(), it prevents the calling program from handling the
error, reporting it to the user, closing files properly, and cleaning up any
state that the program has. It is preferred for the library to return an
actual error code and let the calling program decide how to handle the
situation.

librfm-debuginfo.armv7hl: I: checking
librfm-debuginfo.armv7hl: I: checking-url http://rodent.xffm.org/ (timeout 10 seconds)
librfm-debuginfo.armv7hl: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/rodent/rodent_population.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.armv7hl: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/primary/primary-entry.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.armv7hl: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/rodent/rodent_population.i
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.armv7hl: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/rodent/rodent_gridview.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.armv7hl: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/rodent/rodent_expose.i
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.armv7hl: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/rodent/rodent_expose.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.armv7hl: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/rodent/rodent_mouse.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.armv7hl: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/rodent/rodent_mouse.i
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.armv7hl: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/primary/primary-compat.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.armv7hl: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/rodent/rodent_popup.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.armv7hl: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/rodent/rodent_popup.i
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.armv7hl: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/rodent/rodent_tip.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.armv7hl: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/primary/primary-misc.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.armv7hl: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/rodent/rodent_popup_threads.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.armv7hl: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/primary/primary-environment.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.armv7hl: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/rodent/rodent_threadqueue.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.armv7hl: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/rodent/rodent_actions.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.armv7hl: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/rodent/rodent_popup_callbacks.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.armv7hl: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/primary/primary-layout.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.armv7hl: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/primary/primary-layout.i
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.armv7hl: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/primary/primary-run.i
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.armv7hl: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/primary/primary-run.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.armv7hl: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/primary/primary-ls.i
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.armv7hl: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/primary/primary-preview.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.armv7hl: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/rodent/rodent_deskview.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.armv7hl: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/rodent/rodent_population_threads.i
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.armv7hl: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/primary/primary-uri.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.armv7hl: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/primary/primary.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.armv7hl: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/primary/primary.i
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.armv7hl: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/primary/primary-modules.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.armv7hl: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/rodent/xfdir.i
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.armv7hl: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/primary/primary-icons.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.armv7hl: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/rodent/rodent_bookmarks.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.i686: I: checking
librfm-debuginfo.i686: I: checking-url http://rodent.xffm.org/ (timeout 10 seconds)
librfm-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/rodent/rodent_population.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/primary/primary-entry.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/rodent/rodent_population.i
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/rodent/rodent_gridview.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/primary/primary-compat.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/rodent/rodent_expose.i
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/rodent/rodent_expose.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/rodent/rodent_mouse.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/rodent/rodent_mouse.i
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/rodent/rodent_popup.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/rodent/rodent_popup.i
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/rodent/rodent_tip.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/primary/primary-misc.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/rodent/rodent_popup_threads.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/primary/primary-environment.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/rodent/rodent_threadqueue.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/rodent/rodent_actions.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/rodent/rodent_popup_callbacks.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/primary/primary-layout.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/primary/primary-layout.i
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/primary/primary-run.i
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/primary/primary-run.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/primary/primary-ls.i
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/primary/primary-preview.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/rodent/rodent_deskview.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/rodent/rodent_population_threads.i
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/primary/primary-uri.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/primary/primary.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/primary/primary.i
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/primary/primary-modules.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/rodent/xfdir.i
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/primary/primary-icons.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/rodent/rodent_bookmarks.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.x86_64: I: checking
librfm-debuginfo.x86_64: I: checking-url http://rodent.xffm.org/ (timeout 10 seconds)
librfm-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/rodent/rodent_population.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/primary/primary-entry.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/rodent/rodent_population.i
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/primary/primary-environment.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/rodent/rodent_gridview.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/rodent/rodent_expose.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/rodent/rodent_mouse.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/rodent/rodent_mouse.i
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/rodent/rodent_popup.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/rodent/rodent_popup.i
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/rodent/rodent_tip.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/primary/primary-misc.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/rodent/rodent_popup_threads.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/rodent/rodent_threadqueue.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/primary/primary-compat.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/rodent/rodent_actions.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/rodent/rodent_popup_callbacks.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/primary/primary-layout.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/primary/primary-layout.i
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/primary/primary-run.i
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/primary/primary-run.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/primary/primary-ls.i
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/primary/primary-preview.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/rodent/rodent_deskview.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/rodent/rodent_population_threads.i
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/primary/primary-uri.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/primary/primary.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/rodent/rodent_expose.i
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/primary/primary.i
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/primary/primary-modules.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/rodent/xfdir.i
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/primary/primary-icons.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/librfm-5.1.3/rodent/rodent_bookmarks.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

librfm-devel.armv7hl: I: checking
librfm-devel.armv7hl: I: checking-url http://rodent.xffm.org/ (timeout 10 seconds)
librfm-devel.armv7hl: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

librfm-devel.i686: I: checking
librfm-devel.i686: I: checking-url http://rodent.xffm.org/ (timeout 10 seconds)
librfm-devel.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

librfm-devel.x86_64: I: checking
librfm-devel.x86_64: I: checking-url http://rodent.xffm.org/ (timeout 10 seconds)
librfm-devel.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

librfm.spec:15: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 15)
The specfile mixes use of spaces and tabs for indentation, which is a cosmetic
annoyance.  Use either spaces or tabs for indentation, not both.

librfm.spec: W: invalid-url Source1: librfm-COPYING.tar.gz
The value should be a valid, public HTTP, HTTPS, or FTP URL.

librfm.spec: I: checking-url http://sourceforge.net/projects/xffm/files/librfm/librfm-5.1.3.tar.bz2 (timeout 10 seconds)
10 packages and 1 specfiles checked; 105 errors, 11 warnings.



The wrong FSF addresses can be ignored for the time being, but have to be reported upstream.

The license file has no valid URL, no problem. You might use the link to the appropriate file in upstream's VCS, but it is not that important.

Mixed use of spaces and tabs is simply to fix. I recommend spaces, this way the spec file looks the same in any text editor regardless of the configured tab width.

Please fix the permissions of the tarball before creating the srpm.

The mentioned exit() call might be somewhat critical. But it is not up to you to fix, please ask the upstream developers for a solution. Likewise for the no-ldconfig-symlink warning.
Comment 5 Antonio Trande 2013-11-02 07:16:27 EDT
(In reply to Mario Blättermann from comment #4)
> The mentioned exit() call might be somewhat critical. But it is not up to
> you to fix, please ask the upstream developers for a solution. Likewise for
> the no-ldconfig-symlink warning.

All warnings are under resolution by upstream. I'm waiting.
Comment 6 Antonio Trande 2013-11-14 13:46:53 EST
Hi Mario.

The packages should be okay now. This new release requests at least version 5.0.12 of 'tubo'; 'tubo' will be pushed for testing soon but it's already built in koji: http://koji.fedoraproject.org/koji/packageinfo?packageID=17235

Spec URL: http://sagitter.fedorapeople.org/librfm/librfm.spec
SRPM URL: http://sagitter.fedorapeople.org/librfm/librfm-5.1.5-1.fc19.src.rpm
Comment 7 Mario Blättermann 2013-11-14 15:31:09 EST
Scratch build for Rawhide:
http://koji.fedoraproject.org/koji/taskinfo?taskID=6180820

$ rpmlint -i -v *
librfm.src: I: checking
librfm.src: I: checking-url http://rodent.xffm.org/ (timeout 10 seconds)
librfm.src: I: checking-url http://sourceforge.net/projects/xffm/files/librfm/rpm/librfm5-5.1.5.tar.bz2 (timeout 10 seconds)
librfm.armv7hl: I: checking
librfm.armv7hl: I: checking-url http://rodent.xffm.org/ (timeout 10 seconds)
librfm.i686: I: checking
librfm.i686: I: checking-url http://rodent.xffm.org/ (timeout 10 seconds)
librfm.x86_64: I: checking
librfm.x86_64: I: checking-url http://rodent.xffm.org/ (timeout 10 seconds)
librfm-debuginfo.armv7hl: I: checking
librfm-debuginfo.armv7hl: I: checking-url http://rodent.xffm.org/ (timeout 10 seconds)
librfm-debuginfo.i686: I: checking
librfm-debuginfo.i686: I: checking-url http://rodent.xffm.org/ (timeout 10 seconds)
librfm-debuginfo.x86_64: I: checking
librfm-debuginfo.x86_64: I: checking-url http://rodent.xffm.org/ (timeout 10 seconds)
librfm-devel.armv7hl: I: checking
librfm-devel.armv7hl: I: checking-url http://rodent.xffm.org/ (timeout 10 seconds)
librfm-devel.armv7hl: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

librfm-devel.i686: I: checking
librfm-devel.i686: I: checking-url http://rodent.xffm.org/ (timeout 10 seconds)
librfm-devel.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

librfm-devel.x86_64: I: checking
librfm-devel.x86_64: I: checking-url http://rodent.xffm.org/ (timeout 10 seconds)
librfm-devel.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

librfm.spec: I: checking-url http://sourceforge.net/projects/xffm/files/librfm/rpm/librfm5-5.1.5.tar.bz2 (timeout 10 seconds)
10 packages and 1 specfiles checked; 0 errors, 3 warnings.


No more than a warning about a -devel package without docs, no problem.


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    GPLv3+
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    af00e889ac65cf01803c9b0f750d8018926261e01fa3d294867bcb85e70346af  librfm5-5.1.5.tar.bz2
    af00e889ac65cf01803c9b0f750d8018926261e01fa3d294867bcb85e70346af  librfm5-5.1.5.tar.bz2.orig

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[+] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[+] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[+] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[+] MUST: Development files must be in a -devel package.
[+] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. 
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[.] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[.] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.


----------------

PACKAGE APPROVED

----------------
Comment 8 Antonio Trande 2013-11-14 15:43:29 EST
Thanks!

New Package SCM Request
=======================
Package Name: librfm
Short Description: Rodent file manager primary library functionality 
Owners: sagitter
Branches: f19 f20
Comment 9 Gwyn Ciesla 2013-11-14 16:01:34 EST
Git done (by process-git-requests).
Comment 10 Christopher Meng 2013-12-21 03:06:04 EST
Still FTBFS?
Comment 11 Antonio Trande 2013-12-21 05:33:12 EST
(In reply to Christopher Meng from comment #10)
> Still FTBFS?

'librfm' needs dbh2 (dbh >= 5.0.0) library; it's still not available for F20.
http://koji.fedoraproject.org/koji/packageinfo?packageID=1571

Also a new release of 'librfm' (and Rodent FM) will be released soon; their upgrades are closely related.
Comment 12 Michael Schwendt 2014-01-11 08:12:29 EST
There are packaging issues:

Files %{_libdir}/librfm.so.1* are runtime libs that don't belong into the -devel package.

> - Added %%post/%%postun for -devel package

Not necessary. ldconfig is a tool affecting runtime. It doesn't touch the *.so symlinks included in -devel packages.

> Group: Development/Libraries

If you add a Group tag, which is optional nowadays, why isn't that done also for the base package? It would be "Group: System Environment/Libraries" there.
Comment 13 Antonio Trande 2014-01-11 10:42:57 EST
(In reply to Michael Schwendt from comment #12)
> There are packaging issues:
> 
> Files %{_libdir}/librfm.so.1* are runtime libs that don't belong into the
> -devel package.
> 
> > - Added %%post/%%postun for -devel package
> 
> Not necessary. ldconfig is a tool affecting runtime. It doesn't touch the
> *.so symlinks included in -devel packages.
> 
> > Group: Development/Libraries
> 
> If you add a Group tag, which is optional nowadays, why isn't that done also
> for the base package? It would be "Group: System Environment/Libraries"
> there.

I fix right away.
Thank you Michael.
Comment 14 Mario Blättermann 2014-05-16 06:16:27 EDT
librfm-5.2.9 is available from Rawhide for some weeks, could we close this ticket as CLOSED RAWHIDE now?
Comment 15 Antonio Trande 2014-05-16 08:23:15 EDT
(In reply to Mario Blättermann from comment #14)
> librfm-5.2.9 is available from Rawhide for some weeks, could we close this
> ticket as CLOSED RAWHIDE now?

Done. :)

Note You need to log in before you can comment on or make changes to this bug.